(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12042,        348]
NotebookOptionsPosition[     11416,        320]
NotebookOutlinePosition[     11693,        334]
CellTagsIndexPosition[     11650,        331]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["FE-CA", "Title"],

Cell[CellGroupData[{

Cell["Version using variable dependency", "Section"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Attributes", "[", "oneC", "]"}], "=", 
   RowBox[{"{", "HoldFirst", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"oneC", "[", 
    RowBox[{"r_", ",", "a_", ",", "b_", ",", "c_"}], "]"}], ":=", 
   RowBox[{"Checkbox", "[", 
    RowBox[{
     RowBox[{"Dynamic", "[", 
      RowBox[{"r", "[", 
       RowBox[{"[", 
        RowBox[{"a", ",", "b", ",", "c"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"CheckBoxCA", "[", 
    RowBox[{"rows_", ",", "columns_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "var", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"var", "[", 
        RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
       RowBox[{"ToExpression", "[", 
        RowBox[{"\"\<r\>\"", "<>", 
         RowBox[{"ToString", "[", "i", "]"}], "<>", "\"\<c\>\"", "<>", 
         RowBox[{"ToString", "[", "j", "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"DynamicModule", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"r", "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}], ",", " ", 
              RowBox[{"{", 
               RowBox[{"1", ",", "2"}], "}"}]}], "}"}]}], "}"}]}], "}"}], ",",
         "\[IndentingNewLine]", 
        RowBox[{"Column", "[", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"oneC", "[", 
               RowBox[{"r", ",", "2", ",", "2", ",", "2"}], "]"}], ",", 
              RowBox[{"oneC", "[", 
               RowBox[{"r", ",", "2", ",", "2", ",", "1"}], "]"}], ",", 
              RowBox[{"oneC", "[", 
               RowBox[{"r", ",", "2", ",", "1", ",", "2"}], "]"}], ",", 
              RowBox[{"oneC", "[", 
               RowBox[{"r", ",", "2", ",", "1", ",", "1"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"oneC", "[", 
               RowBox[{"r", ",", "1", ",", "2", ",", "2"}], "]"}], ",", 
              RowBox[{"oneC", "[", 
               RowBox[{"r", ",", "1", ",", "2", ",", "1"}], "]"}], ",", 
              RowBox[{"oneC", "[", 
               RowBox[{"r", ",", "1", ",", "1", ",", "2"}], "]"}], ",", 
              RowBox[{"oneC", "[", 
               RowBox[{"r", ",", "1", ",", "1", ",", "1"}], "]"}]}], "}"}], 
            "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"Apply", "[", 
            RowBox[{"DynamicModule", ",", "\[IndentingNewLine]", 
             RowBox[{"foo", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{"Table", "[", 
                 RowBox[{
                  RowBox[{"var", "[", 
                   RowBox[{"i", ",", "j"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "1", ",", "rows"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"j", ",", "1", ",", "columns"}], "}"}]}], "]"}], 
                "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Grid", "[", 
                RowBox[{
                 RowBox[{"Join", "[", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"AA", "=", 
                    RowBox[{"var", "[", 
                    RowBox[{"1", ",", "j"}], "]"}]}], "}"}], ",", 
                    RowBox[{"Checkbox", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", "AA", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"j", ",", "1", ",", "columns"}], "}"}]}], "]"}], 
                    "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"AA", "=", 
                    RowBox[{"var", "[", 
                    RowBox[{"i", ",", "j"}], "]"}]}], ",", 
                    RowBox[{"BB", "=", 
                    RowBox[{"var", "[", 
                    RowBox[{
                    RowBox[{"i", "-", "1"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"j", "+", "1"}], ",", "columns", ",", "1"}], 
                    "]"}]}], "]"}]}], ",", 
                    RowBox[{"CC", "=", 
                    RowBox[{"var", "[", 
                    RowBox[{
                    RowBox[{"i", "-", "1"}], ",", "j"}], "]"}]}], ",", 
                    RowBox[{"DD", "=", 
                    RowBox[{"var", "[", 
                    RowBox[{
                    RowBox[{"i", "-", "1"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{"j", "+", "1"}], ",", "columns", ",", "1"}], 
                    "]"}]}], "]"}]}]}], "}"}], ",", 
                    RowBox[{"Checkbox", "[", 
                    RowBox[{
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"AA", "=", 
                    RowBox[{"r", "[", 
                    RowBox[{"[", 
                    RowBox[{"BB", ",", "CC", ",", "DD"}], "]"}], "]"}]}], 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "2", ",", "rows"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"j", ",", "1", ",", "columns"}], "}"}]}], "]"}]}],
                   "]"}], ",", 
                 RowBox[{"RowSpacings", "\[Rule]", "0"}], ",", 
                 RowBox[{"ColumnSpacings", "\[Rule]", "0"}]}], "]"}]}], 
              "\[IndentingNewLine]", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
          "}"}], "]"}]}], "\[IndentingNewLine]", "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"CheckBoxCA", "[", 
  RowBox[{"10", ",", "10"}], "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Version using kernel CellularAutomaton function", "Section"],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"Raster", "[", 
      RowBox[{
       RowBox[{"Developer`ToPackedArray", "[", 
        RowBox[{"Reverse", "[", 
         RowBox[{"CellularAutomaton", "[", 
          RowBox[{"rule", ",", 
           RowBox[{"ReplacePart", "[", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", "columns", "}"}]}], "]"}], ",", "1", ",", 
             RowBox[{"Ceiling", "[", 
              RowBox[{"columns", "/", "2"}], "]"}]}], "]"}], ",", "rows"}], 
          "]"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"columns", ",", "rows"}], "}"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"columns", "*", "pixelsPerCell"}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"rows", "+", "1"}], ")"}], "*", "pixelsPerCell"}]}], 
       "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "columns"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"rows", "+", "1"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rule", ",", "77"}], "}"}], ",", "0", ",", "255", ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rows", ",", "300"}], "}"}], ",", "5", ",", "400", ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"columns", ",", "300"}], "}"}], ",", "10", ",", "400", ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"pixelsPerCell", ",", "1", ",", "10", ",", "1"}], "}"}]}], 
  "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Version using SimpleCA function in FE", "Section"],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"Raster", "[", 
      RowBox[{
       RowBox[{"Dynamic", "[", 
        RowBox[{"FEPrivate`SimpleCA", "[", 
         RowBox[{
         "rule", ",", "columns", ",", " ", "rows", ",", " ", "\"\<Spike\>\"", 
          ",", "True"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"columns", ",", "rows"}], "}"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"columns", "*", "pixelsPerCell"}], ",", 
        RowBox[{"rows", "*", "pixelsPerCell"}]}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "columns"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "rows"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rule", ",", "77"}], "}"}], ",", "0", ",", "255", ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rows", ",", "300"}], "}"}], ",", "5", ",", "400", ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"columns", ",", "300"}], "}"}], ",", "10", ",", "400", ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"pixelsPerCell", ",", "1", ",", "10", ",", "1"}], "}"}]}], 
  "]"}]], "Input"]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"6.0 for Macintosh",
WindowSize->{1058, 726},
WindowMargins->{{57, Automatic}, {Automatic, 19}}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 22, 0, 76, "Title"],
Cell[CellGroupData[{
Cell[637, 27, 52, 0, 67, "Section"],
Cell[692, 29, 542, 16, 39, "Input"],
Cell[1237, 47, 6229, 143, 294, "Input"],
Cell[7469, 192, 88, 2, 24, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[7594, 199, 66, 0, 37, "Section"],
Cell[7663, 201, 2024, 60, 99, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[9724, 266, 56, 0, 37, "Section"],
Cell[9783, 268, 1605, 48, 54, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
