(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12373,        349]
NotebookOptionsPosition[     11798,        324]
NotebookOutlinePosition[     12094,        339]
CellTagsIndexPosition[     12051,        336]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["1", "Section"],

Cell[BoxData[
 RowBox[{"Clear", "[", "FitPlot", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Options", "[", "FitPlot", "]"}], "=", 
   RowBox[{"Options", "[", "Plot", "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"x", "=."}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"FitPlot", "[", 
   RowBox[{
   "data_", ",", "ideal_", ",", "functions_", ",", "var_", ",", 
    "options___"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"xmin", ",", "xmax", ",", "ymin", ",", "ymax"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"xmin", ",", "xmax"}], "}"}], "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Min", "[", "#", "]"}], ",", 
           RowBox[{"Max", "[", "#", "]"}]}], "}"}], "&"}], ")"}], "[", 
       RowBox[{"First", "[", 
        RowBox[{"Transpose", "[", "data", "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ymin", ",", "ymax"}], "}"}], "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Min", "[", "#", "]"}], ",", 
           RowBox[{"Max", "[", "#", "]"}]}], "}"}], "&"}], ")"}], "[", 
       RowBox[{"Last", "[", 
        RowBox[{"Transpose", "[", "data", "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Deploy", "[", 
      RowBox[{"DynamicModule", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"localdata", " ", "=", " ", "data"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Graphics", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", "fit", "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"fit", "=", 
                 RowBox[{"Fit", "[", 
                  RowBox[{"localdata", ",", "functions", ",", "var"}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"{", "\[IndentingNewLine]", 
                 RowBox[{"Red", ",", 
                  RowBox[{"First", "[", 
                   RowBox[{"Plot", "[", 
                    RowBox[{"fit", ",", 
                    RowBox[{"{", 
                    RowBox[{"var", ",", "xmin", ",", "xmax"}], "}"}]}], "]"}],
                    "]"}], ",", "\[IndentingNewLine]", "Blue", ",", 
                  RowBox[{"First", "[", 
                   RowBox[{"Plot", "[", 
                    RowBox[{"ideal", ",", 
                    RowBox[{"{", 
                    RowBox[{"var", ",", "xmin", ",", "xmax"}], "}"}]}], "]"}],
                    "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"Text", "[", 
                   RowBox[{"fit", ",", 
                    RowBox[{"Scaled", "[", 
                    RowBox[{"{", 
                    RowBox[{"0.1", ",", "0.9"}], "}"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "]"}]}], 
                 "\[IndentingNewLine]", "}"}]}]}], "]"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"With", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"i", "=", "i"}], "}"}], ",", 
                RowBox[{"Locator", "[", 
                 RowBox[{"Dynamic", "[", 
                  RowBox[{"localdata", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}]}], "]"}], ",",
               
              RowBox[{"{", 
               RowBox[{"i", ",", 
                RowBox[{"Length", "[", "localdata", "]"}]}], "}"}]}], "]"}]}],
            "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Flatten", "[", 
           RowBox[{"{", "options", "}"}], "]"}], ",", 
          RowBox[{"AspectRatio", "\[Rule]", 
           RowBox[{"1", "/", "GoldenRatio"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"xmin", ",", "xmax"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"ymin", ",", "ymax"}], "}"}]}], "}"}]}]}], "]"}]}], 
       "\[IndentingNewLine]", "]"}], "]"}]}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"FitPlot", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{"Random", "[", "]"}], "+", "x"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], "]"}], ",", 
   RowBox[{".867", "+", 
    RowBox[{".25", "x"}], "+", 
    RowBox[{".08", 
     RowBox[{"x", "^", "2"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "x", ",", 
     RowBox[{"x", "^", "2"}], ",", 
     RowBox[{"x", "^", "3"}], ",", 
     RowBox[{"x", "^", "4"}], ",", 
     RowBox[{"x", "^", "5"}]}], "}"}], ",", "x", ",", 
   RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["2", "Section"],

Cell[BoxData[
 RowBox[{
  RowBox[{"InteractivePiecewiseInterpolatingPolynomial", "[", 
   RowBox[{"opts___", "?", "OptionQ"}], "]"}], ":=", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "FindMouseInList", ",", "points", ",", "x", ",", "k", ",", 
      "draggingPoint"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"FindMouseInList", "[", 
       RowBox[{"l_", ",", "pt_", ",", "tol_"}], "]"}], ":=", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"distances", "=", 
           RowBox[{"N", "[", 
            RowBox[{"Map", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Sqrt", "[", 
                RowBox[{"Total", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"#", "-", "pt"}], ")"}], "^", "2"}], "]"}], "]"}], 
               "&"}], ",", "l"}], "]"}], "]"}]}], ",", "candidate"}], "}"}], 
        ",", 
        RowBox[{
         RowBox[{"candidate", "=", 
          RowBox[{"Position", "[", 
           RowBox[{"distances", ",", 
            RowBox[{"Min", "[", "distances", "]"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"candidate", "===", 
            RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", "None", ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"distances", "[", 
               RowBox[{"[", 
                RowBox[{"candidate", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "1"}], "]"}], "]"}], "]"}], "]"}], "<", 
              "tol"}], ",", 
             RowBox[{"candidate", "[", 
              RowBox[{"[", 
               RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", "None"}], "]"}]}], 
          "]"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"k", "=", 
      RowBox[{
       RowBox[{"InterpolationOrder", "/.", 
        RowBox[{"{", "opts", "}"}]}], "/.", 
       RowBox[{"Options", "[", "Interpolation", "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"points", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"draggingPoint", "=", "None"}], ";", "\[IndentingNewLine]", 
     RowBox[{"EventHandler", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Point", "[", 
            RowBox[{"Dynamic", "[", "points", "]"}], "]"}], ",", 
           RowBox[{"Dynamic", "[", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Length", "[", "points", "]"}], "\[GreaterEqual]", 
               RowBox[{"k", "+", "1"}]}], ",", "\[IndentingNewLine]", 
              RowBox[{"Module", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"xpts", ",", "ypts"}], "}"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"xpts", ",", "ypts"}], "}"}], "=", 
                  RowBox[{"Transpose", "[", "points", "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"First", "@", 
                  RowBox[{"Plot", "[", 
                   RowBox[{
                    RowBox[{"Evaluate", "@", 
                    RowBox[{
                    RowBox[{"Interpolation", "[", 
                    RowBox[{"points", ",", 
                    RowBox[{"InterpolationOrder", "\[Rule]", "k"}]}], "]"}], 
                    "[", "x", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", 
                    RowBox[{"Min", "[", "xpts", "]"}], ",", 
                    RowBox[{"Max", "[", "xpts", "]"}]}], "}"}]}], "]"}]}]}]}],
                "]"}], ",", 
              RowBox[{"{", "}"}]}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Frame", "\[Rule]", "True"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"\"\<MouseDown\>\"", "\[RuleDelayed]", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"mousePt", "=", 
            RowBox[{"MousePosition", "[", "\"\<Graphics\>\"", "]"}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"draggingPoint", "=", 
            RowBox[{"FindMouseInList", "[", 
             RowBox[{"points", ",", "mousePt", ",", "0.02"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"draggingPoint", "===", "None"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"AppendTo", "[", 
               RowBox[{"points", ",", "mousePt"}], "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"draggingPoint", "=", 
               RowBox[{"Length", "[", "points", "]"}]}]}]}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"\"\<MouseDragged\>\"", "\[RuleDelayed]", 
        RowBox[{"(", 
         RowBox[{"points", "=", 
          RowBox[{"ReplacePart", "[", 
           RowBox[{"points", ",", 
            RowBox[{"draggingPoint", "\[Rule]", 
             RowBox[{"MousePosition", "[", "\"\<Graphics\>\"", "]"}]}]}], 
           "]"}]}], ")"}]}]}], "\[IndentingNewLine]", "]"}]}]}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"InteractivePiecewiseInterpolatingPolynomial", "[", "]"}]], "Input"]
}, Open  ]]
},
FrontEndVersion->"6.0 for Macintosh",
WindowSize->{832, 777},
WindowMargins->{{63, Automatic}, {Automatic, 0}},
ShowSelection->True
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 20, 0, 67, "Section"],
Cell[613, 25, 64, 1, 24, "Input"],
Cell[680, 28, 146, 4, 24, "Input"],
Cell[829, 34, 45, 1, 24, "Input"],
Cell[877, 37, 4262, 107, 264, "Input"],
Cell[5142, 146, 690, 21, 39, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5869, 172, 20, 0, 67, "Section"],
Cell[5892, 174, 5796, 144, 399, "Input"],
Cell[11691, 320, 91, 1, 24, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
