(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     76908,       1949]
NotebookOptionsPosition[     75187,       1881]
NotebookOutlinePosition[     75463,       1895]
CellTagsIndexPosition[     75420,       1892]
WindowFrame->Normal
ContainsDynamic->True*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Phil Ramsden's Dynamic Stuff", "Title"],

Cell["Experiments with Manipulate", "Subtitle"],

Cell["\<\
These were all knocked up in the space of one hour, the day after I'd been \
introduced to Manipulate. Which is astonishing. Each would take several days \
to design, code and debug in, say, Java. This stuff is so easy and intuitive \
it's not true. \
\>", "Text"],

Cell[CellGroupData[{

Cell["Conic sections, eccentricity slider", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"ParametricPlot", "[", 
     RowBox[{
      RowBox[{
       FractionBox["1", 
        RowBox[{"1", "+", 
         RowBox[{"e", " ", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}]], 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Theta]", ",", "0", ",", 
        RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "5"}], ",", 
      RowBox[{"Epilog", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"AbsolutePointSize", "[", "10", "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              FractionBox[
               RowBox[{
                RowBox[{"-", "2"}], "e"}], 
               RowBox[{"1", "-", 
                SuperscriptBox["e", "2"]}]], ",", "0"}], "}"}]}], "}"}], 
          "]"}]}], "}"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"e", ",", "0", ",", "2"}], "}"}]}], "]"}], 
  TraditionalForm]], "Input"],

Cell[BoxData[
 TagBox[
  StyleBox[
   PanelBox[
    DynamicModuleBox[{Global`e$$ = 0.528}, 
     DynamicModuleBox[{Global`show$$ = True, Global`bookmarkList$$ = {}, 
      Global`lastChoice$$ = None, Global`showNameField$$ = False, 
      Global`name$$ = "bookmark"}, 
      MultiviewBox[Dynamic[Global`show$$], {True->
       TagBox[GridBox[{
          {
           StyleBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[GridBox[{
                    {"\<\"e\"\>", 
                    InterpretationBox[
                    
                    DynamicModuleBox[{Global`openQ$$ = False, 
                    Global`pausedTime$$ = 0, Global`rate$$ = Automatic, 
                    Global`animationDirection$$ = Forward}, 
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEExpressions", "Manipulator01"][
                    Dynamic[Global`e$$], 
                    Dynamic[{0, 2}], Medium, Small, Automatic, True, 
                    Automatic, True, All, False],
                    DynamicUpdating->True]],
                    Manipulator[
                    Dynamic[Global`e$$], {0, 2}, ContinuousAction -> True, 
                    AutoAction -> False]]}
                    },
                   ColumnAlignments->{Right, Left}],
                  "Grid"],
                 "ManipulatorStyle",
                 StripOnInput->False,
                 FontColor->GrayLevel[0]], 
                TagBox[GridBox[{
                   {
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateHideIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>(Global`show$$ = False),
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource["FEStrings", "ManipulateHide"],
                     StandardForm]]], 
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulatePasteIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>FrontEnd`Private`pasteSnapshot[{{
                    Hold[Global`e$$], 0, 2}}, 
                    Hold[
                    
                    ParametricPlot[(1/(1 + Global`e$$ Cos[Global`\[Theta]])) {
                    
                    Cos[Global`\[Theta]], 
                    Sin[Global`\[Theta]]}, {Global`\[Theta], 0, 2 Pi}, 
                    PlotRange -> 5, Epilog -> {
                    AbsolutePointSize[10], 
                    
                    Point[{{0, 
                    0}, {(-2) Global`e$$/(1 - Global`e$$^2), 0}}]}]]],
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource[
                    "FEStrings", "ManipulatePaste"], StandardForm]]], 
                    
                    StyleBox[
                    MultiviewBox[Dynamic[Global`showNameField$$], {True->
                    TagBox[GridBox[{
                    {InputFieldBox[Dynamic[Global`name$$], String,
                    DefaultStyle->"ManipulatorStyle",
                    FieldSize->{10, 1}], 
                    ButtonBox["\<\"OK\"\>",
                    Appearance->"DialogBox",
                    ButtonFrame->"DialogBox",
                    ButtonFunction:>FrontEnd`Private`addBookmark[{{
                    Hold[Global`e$$], 0, 2}}, 
                    Dynamic[Global`showNameField$$], 
                    Dynamic[Global`bookmarkList$$], 
                    Dynamic[Global`name$$], 
                    Dynamic[Global`lastChoice$$]],
                    DefaultStyle->{"PanelStyle", Background -> None},
                    Evaluator->Automatic,
                    Method->"Preemptive"]}
                    }],
                    "Row"], False->DynamicBox[ToBoxes[
                    PopupMenu[
                    Dynamic[
                    0, Switch[#, "Manipulate`Reset", 
                    Global`lastChoice$$ = None; {Global`e$$ = 0}, 
                    "Manipulate`PasteBookmark", 
                    FrontEnd`Private`pasteBookmarks[{{
                    Hold[Global`e$$], 0, 2}}, Global`bookmarkList$$], 
                    "Manipulate`AddBookmark", 
                    If[{{
                    Hold[Global`e$$], 0, 2}} === {}, 
                    Message[
                    MessageName[Manipulate, "novars"]], 
                    Global`showNameField$$ = True], 
                    "Manipulate`DeleteBookmark", 
                    
                    With[{FrontEnd`Private`tmp$ = Global`lastChoice$$}, 
                    Global`lastChoice$$ = None; 
                    Global`bookmarkList$$ = 
                    Delete[Global`bookmarkList$$, FrontEnd`Private`tmp$]], 
                    Condition[
                    Blank[Integer], 1 <= # <= Length[Global`bookmarkList$$]], 
                    Global`lastChoice$$ = #; 
                    Part[Global`bookmarkList$$, #, 2], 
                    Blank[], Null]& ], 
                    Flatten[{"Manipulate`Reset" -> "Initial settings", 
                    If[Global`bookmarkList$$ === {}, {}, 
                    MapIndexed[If[# === Delimiter, #, First[#2] -> RawBoxes[
                    First[#]]]& , Global`bookmarkList$$]], Delimiter, 
                    "Manipulate`AddBookmark" -> 
                    "Bookmark current settings\[Ellipsis]", 
                    "Manipulate`PasteBookmark" -> "Paste bookmarks", 
                    If[
                    Global`lastChoice$$ === None, {}, {
                    "Manipulate`DeleteBookmark" -> 
                    Band[{"Delete bookmark: ", 
                    RawBoxes[
                    Part[
                    Global`bookmarkList$$, Global`lastChoice$$, 1]]}]}]}], 0, 
                    
                    Tooltip[
                    RawBoxes[
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateMenuIcon"]]], "Bookmarks"]], 
                    StandardForm]]},
                    FrameMargins->0,
                    ImageSize->Automatic],
                    StripOnInput->False,
                    FontColor->GrayLevel[0]]}
                   },
                  ColumnSpacings->0.2],
                 "Row"]}
               },
              ColumnLines->1,
              RowAlignments->Top],
             "Row"],
            StripOnInput->False,
            GridElementStyleOptions->{Background->None},
            FontColor->GrayLevel[0.784313725490196]]},
          {
           StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
               ParametricPlot[(1/(1 + Global`e$$ Cos[Global`\[Theta]])) {
                  Cos[Global`\[Theta]], 
                  Sin[Global`\[Theta]]}, {Global`\[Theta], 0, 2 Pi}, 
                PlotRange -> 5, Epilog -> {
                  AbsolutePointSize[10], 
                  Point[{{0, 0}, {(-2) Global`e$$/(1 - Global`e$$^2), 0}}]}], 
               StandardForm]]]],
            Deployed->False,
            StripOnInput->False,
            GridElementStyleOptions->{Background->GrayLevel[1],
            RowAlignments->Center}]}
          },
         ColumnAlignments->Left,
         GridFrame->False,
         GridFrameMargins->1,
         RowAlignments->Top,
         RowSpacings->2],
        "Grid"], False->
       TooltipBox[
        ButtonBox[
         StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
             ParametricPlot[(1/(1 + Global`e$$ Cos[Global`\[Theta]])) {
                Cos[Global`\[Theta]], 
                Sin[Global`\[Theta]]}, {Global`\[Theta], 0, 2 Pi}, PlotRange -> 
              5, Epilog -> {
                AbsolutePointSize[10], 
                Point[{{0, 0}, {(-2) Global`e$$/(1 - Global`e$$^2), 0}}]}], 
             StandardForm]]]],
          Deployed->False,
          StripOnInput->False,
          GridElementStyleOptions->{Background->GrayLevel[1],
          RowAlignments->Center}],
         Appearance->"DialogBox",
         ButtonFrame->None,
         ButtonFunction:>(Global`show$$ = True),
         DefaultStyle->{},
         Evaluator->Automatic,
         Method->"Preemptive"],
        DynamicBox[
         ToBoxes[
          FEPrivate`FrontEndResource["FEStrings", "ManipulateShow"], 
          StandardForm]]]},
       ImageSize->Automatic],
      ValuesData:>{}],
     ValuesData:>{}],
    DefaultStyle->{}],
   "ManipulateStyle",
   Deployed->True,
   StripOnInput->False],
  FrontEnd`Private`InterpretManipulate[
   ParametricPlot[(1/(1 + Global`e Cos[Global`\[Theta]])) {
      Cos[Global`\[Theta]], 
      Sin[Global`\[Theta]]}, {Global`\[Theta], 0, 2 Pi}, PlotRange -> 5, 
    Epilog -> {
      AbsolutePointSize[10], 
      Point[{{0, 0}, {(-2) Global`e/(1 - Global`e^2), 0}}]}], {{
    Global`e, 0, 2}}, {}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"ParametricPlot", "[", 
     RowBox[{
      RowBox[{
       FractionBox["e", 
        RowBox[{"1", "+", 
         RowBox[{"e", " ", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}]], 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], ",", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Theta]", ",", "0", ",", 
        RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "5"}], ",", 
      RowBox[{"Epilog", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"AbsolutePointSize", "[", "10", "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              FractionBox[
               RowBox[{
                RowBox[{"-", "2"}], 
                SuperscriptBox["e", "2"]}], 
               RowBox[{"1", "-", 
                SuperscriptBox["e", "2"]}]], ",", "0"}], "}"}]}], "}"}], 
          "]"}]}], "}"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"e", ",", "0", ",", "2"}], "}"}]}], "]"}], 
  TraditionalForm]], "Input"],

Cell[BoxData[
 TagBox[
  StyleBox[
   PanelBox[
    DynamicModuleBox[{Global`e$$ = 2.}, 
     DynamicModuleBox[{Global`show$$ = True, Global`bookmarkList$$ = {}, 
      Global`lastChoice$$ = None, Global`showNameField$$ = False, 
      Global`name$$ = "bookmark"}, 
      MultiviewBox[Dynamic[Global`show$$], {True->
       TagBox[GridBox[{
          {
           StyleBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[GridBox[{
                    {"\<\"e\"\>", 
                    InterpretationBox[
                    
                    DynamicModuleBox[{Global`openQ$$ = False, 
                    Global`pausedTime$$ = 0, Global`rate$$ = Automatic, 
                    Global`animationDirection$$ = Forward}, 
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEExpressions", "Manipulator01"][
                    Dynamic[Global`e$$], 
                    Dynamic[{0, 2}], Medium, Small, Automatic, True, 
                    Automatic, True, All, False],
                    DynamicUpdating->True]],
                    Manipulator[
                    Dynamic[Global`e$$], {0, 2}, ContinuousAction -> True, 
                    AutoAction -> False]]}
                    },
                   ColumnAlignments->{Right, Left}],
                  "Grid"],
                 "ManipulatorStyle",
                 StripOnInput->False,
                 FontColor->GrayLevel[0]], 
                TagBox[GridBox[{
                   {
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateHideIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>(Global`show$$ = False),
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource["FEStrings", "ManipulateHide"],
                     StandardForm]]], 
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulatePasteIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>FrontEnd`Private`pasteSnapshot[{{
                    Hold[Global`e$$], 0, 2}}, 
                    Hold[
                    
                    ParametricPlot[(Global`e$$/(1 + 
                    Global`e$$ Cos[Global`\[Theta]])) {
                    Cos[Global`\[Theta]], 
                    Sin[Global`\[Theta]]}, {Global`\[Theta], 0, 2 Pi}, 
                    PlotRange -> 5, Epilog -> {
                    AbsolutePointSize[10], 
                    
                    Point[{{0, 
                    0}, {(-2) Global`e$$^2/(1 - Global`e$$^2), 0}}]}]]],
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource[
                    "FEStrings", "ManipulatePaste"], StandardForm]]], 
                    
                    StyleBox[
                    MultiviewBox[Dynamic[Global`showNameField$$], {True->
                    TagBox[GridBox[{
                    {InputFieldBox[Dynamic[Global`name$$], String,
                    DefaultStyle->"ManipulatorStyle",
                    FieldSize->{10, 1}], 
                    ButtonBox["\<\"OK\"\>",
                    Appearance->"DialogBox",
                    ButtonFrame->"DialogBox",
                    ButtonFunction:>FrontEnd`Private`addBookmark[{{
                    Hold[Global`e$$], 0, 2}}, 
                    Dynamic[Global`showNameField$$], 
                    Dynamic[Global`bookmarkList$$], 
                    Dynamic[Global`name$$], 
                    Dynamic[Global`lastChoice$$]],
                    DefaultStyle->{"PanelStyle", Background -> None},
                    Evaluator->Automatic,
                    Method->"Preemptive"]}
                    }],
                    "Row"], False->DynamicBox[ToBoxes[
                    PopupMenu[
                    Dynamic[
                    0, Switch[#, "Manipulate`Reset", 
                    Global`lastChoice$$ = None; {Global`e$$ = 0}, 
                    "Manipulate`PasteBookmark", 
                    FrontEnd`Private`pasteBookmarks[{{
                    Hold[Global`e$$], 0, 2}}, Global`bookmarkList$$], 
                    "Manipulate`AddBookmark", 
                    If[{{
                    Hold[Global`e$$], 0, 2}} === {}, 
                    Message[
                    MessageName[Manipulate, "novars"]], 
                    Global`showNameField$$ = True], 
                    "Manipulate`DeleteBookmark", 
                    
                    With[{FrontEnd`Private`tmp$ = Global`lastChoice$$}, 
                    Global`lastChoice$$ = None; 
                    Global`bookmarkList$$ = 
                    Delete[Global`bookmarkList$$, FrontEnd`Private`tmp$]], 
                    Condition[
                    Blank[Integer], 1 <= # <= Length[Global`bookmarkList$$]], 
                    Global`lastChoice$$ = #; 
                    Part[Global`bookmarkList$$, #, 2], 
                    Blank[], Null]& ], 
                    Flatten[{"Manipulate`Reset" -> "Initial settings", 
                    If[Global`bookmarkList$$ === {}, {}, 
                    MapIndexed[If[# === Delimiter, #, First[#2] -> RawBoxes[
                    First[#]]]& , Global`bookmarkList$$]], Delimiter, 
                    "Manipulate`AddBookmark" -> 
                    "Bookmark current settings\[Ellipsis]", 
                    "Manipulate`PasteBookmark" -> "Paste bookmarks", 
                    If[
                    Global`lastChoice$$ === None, {}, {
                    "Manipulate`DeleteBookmark" -> 
                    Band[{"Delete bookmark: ", 
                    RawBoxes[
                    Part[
                    Global`bookmarkList$$, Global`lastChoice$$, 1]]}]}]}], 0, 
                    
                    Tooltip[
                    RawBoxes[
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateMenuIcon"]]], "Bookmarks"]], 
                    StandardForm]]},
                    FrameMargins->0,
                    ImageSize->Automatic],
                    StripOnInput->False,
                    FontColor->GrayLevel[0]]}
                   },
                  ColumnSpacings->0.2],
                 "Row"]}
               },
              ColumnLines->1,
              RowAlignments->Top],
             "Row"],
            StripOnInput->False,
            GridElementStyleOptions->{Background->None},
            FontColor->GrayLevel[0.784313725490196]]},
          {
           StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
               
               ParametricPlot[(Global`e$$/(1 + 
                 Global`e$$ Cos[Global`\[Theta]])) {
                  Cos[Global`\[Theta]], 
                  Sin[Global`\[Theta]]}, {Global`\[Theta], 0, 2 Pi}, 
                PlotRange -> 5, Epilog -> {
                  AbsolutePointSize[10], 
                  
                  Point[{{0, 
                    0}, {(-2) Global`e$$^2/(1 - Global`e$$^2), 0}}]}], 
               StandardForm]]]],
            Deployed->False,
            StripOnInput->False,
            GridElementStyleOptions->{Background->GrayLevel[1],
            RowAlignments->Center}]}
          },
         ColumnAlignments->Left,
         GridFrame->False,
         GridFrameMargins->1,
         RowAlignments->Top,
         RowSpacings->2],
        "Grid"], False->
       TooltipBox[
        ButtonBox[
         StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
             
             ParametricPlot[(Global`e$$/(1 + 
               Global`e$$ Cos[Global`\[Theta]])) {
                Cos[Global`\[Theta]], 
                Sin[Global`\[Theta]]}, {Global`\[Theta], 0, 2 Pi}, PlotRange -> 
              5, Epilog -> {
                AbsolutePointSize[10], 
                Point[{{0, 0}, {(-2) Global`e$$^2/(1 - Global`e$$^2), 0}}]}], 
             StandardForm]]]],
          Deployed->False,
          StripOnInput->False,
          GridElementStyleOptions->{Background->GrayLevel[1],
          RowAlignments->Center}],
         Appearance->"DialogBox",
         ButtonFrame->None,
         ButtonFunction:>(Global`show$$ = True),
         DefaultStyle->{},
         Evaluator->Automatic,
         Method->"Preemptive"],
        DynamicBox[
         ToBoxes[
          FEPrivate`FrontEndResource["FEStrings", "ManipulateShow"], 
          StandardForm]]]},
       ImageSize->Automatic],
      ValuesData:>{}],
     ValuesData:>{}],
    DefaultStyle->{}],
   "ManipulateStyle",
   Deployed->True,
   StripOnInput->False],
  FrontEnd`Private`InterpretManipulate[
   ParametricPlot[(Global`e/(1 + Global`e Cos[Global`\[Theta]])) {
      Cos[Global`\[Theta]], 
      Sin[Global`\[Theta]]}, {Global`\[Theta], 0, 2 Pi}, PlotRange -> 5, 
    Epilog -> {
      AbsolutePointSize[10], 
      Point[{{0, 0}, {(-2) Global`e^2/(1 - Global`e^2), 0}}]}], {{
    Global`e, 0, 2}}, {}]]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Period doubling and chaos", "Section"],

Cell[CellGroupData[{

Cell["Logistic map, parameter slider: period doubling ", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Lambda]", " ", "#", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "0.3", ",", "50"}], 
       "]"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], ",", 
      RowBox[{"PlotJoined", "\[Rule]", "True"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Lambda]", ",", "0", ",", "4"}], "}"}]}], "]"}], 
  TraditionalForm]], "Input"],

Cell[BoxData[
 TagBox[
  StyleBox[
   PanelBox[
    DynamicModuleBox[{Global`\[Lambda]$$ = 3.64}, 
     DynamicModuleBox[{Global`show$$ = True, Global`bookmarkList$$ = {}, 
      Global`lastChoice$$ = None, Global`showNameField$$ = False, 
      Global`name$$ = "bookmark"}, 
      MultiviewBox[Dynamic[Global`show$$], {True->
       TagBox[GridBox[{
          {
           StyleBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[GridBox[{
                    {"\<\"\[Lambda]\"\>", 
                    InterpretationBox[
                    
                    DynamicModuleBox[{Global`openQ$$ = False, 
                    Global`pausedTime$$ = 0, Global`rate$$ = Automatic, 
                    Global`animationDirection$$ = Forward}, 
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEExpressions", "Manipulator01"][
                    Dynamic[Global`\[Lambda]$$], 
                    Dynamic[{0, 4}], Medium, Small, Automatic, True, 
                    Automatic, True, All, False],
                    DynamicUpdating->True]],
                    Manipulator[
                    Dynamic[Global`\[Lambda]$$], {0, 4}, ContinuousAction -> 
                    True, AutoAction -> False]]}
                    },
                   ColumnAlignments->{Right, Left}],
                  "Grid"],
                 "ManipulatorStyle",
                 StripOnInput->False,
                 FontColor->GrayLevel[0]], 
                TagBox[GridBox[{
                   {
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateHideIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>(Global`show$$ = False),
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource["FEStrings", "ManipulateHide"],
                     StandardForm]]], 
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulatePasteIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>FrontEnd`Private`pasteSnapshot[{{
                    Hold[Global`\[Lambda]$$], 0, 4}}, 
                    Hold[
                    ListPlot[
                    NestList[Global`\[Lambda]$$ # (1 - #)& , 0.3, 50], 
                    PlotRange -> {0, 1}, PlotJoined -> True]]],
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource[
                    "FEStrings", "ManipulatePaste"], StandardForm]]], 
                    
                    StyleBox[
                    MultiviewBox[Dynamic[Global`showNameField$$], {True->
                    TagBox[GridBox[{
                    {InputFieldBox[Dynamic[Global`name$$], String,
                    DefaultStyle->"ManipulatorStyle",
                    FieldSize->{10, 1}], 
                    ButtonBox["\<\"OK\"\>",
                    Appearance->"DialogBox",
                    ButtonFrame->"DialogBox",
                    ButtonFunction:>FrontEnd`Private`addBookmark[{{
                    Hold[Global`\[Lambda]$$], 0, 4}}, 
                    Dynamic[Global`showNameField$$], 
                    Dynamic[Global`bookmarkList$$], 
                    Dynamic[Global`name$$], 
                    Dynamic[Global`lastChoice$$]],
                    DefaultStyle->{"PanelStyle", Background -> None},
                    Evaluator->Automatic,
                    Method->"Preemptive"]}
                    }],
                    "Row"], False->DynamicBox[ToBoxes[
                    PopupMenu[
                    Dynamic[
                    0, Switch[#, "Manipulate`Reset", 
                    Global`lastChoice$$ = None; {Global`\[Lambda]$$ = 0}, 
                    "Manipulate`PasteBookmark", 
                    FrontEnd`Private`pasteBookmarks[{{
                    Hold[Global`\[Lambda]$$], 0, 4}}, Global`bookmarkList$$], 
                    "Manipulate`AddBookmark", 
                    If[{{
                    Hold[Global`\[Lambda]$$], 0, 4}} === {}, 
                    Message[
                    MessageName[Manipulate, "novars"]], 
                    Global`showNameField$$ = True], 
                    "Manipulate`DeleteBookmark", 
                    
                    With[{FrontEnd`Private`tmp$ = Global`lastChoice$$}, 
                    Global`lastChoice$$ = None; 
                    Global`bookmarkList$$ = 
                    Delete[Global`bookmarkList$$, FrontEnd`Private`tmp$]], 
                    Condition[
                    Blank[Integer], 1 <= # <= Length[Global`bookmarkList$$]], 
                    Global`lastChoice$$ = #; 
                    Part[Global`bookmarkList$$, #, 2], 
                    Blank[], Null]& ], 
                    Flatten[{"Manipulate`Reset" -> "Initial settings", 
                    If[Global`bookmarkList$$ === {}, {}, 
                    MapIndexed[If[# === Delimiter, #, First[#2] -> RawBoxes[
                    First[#]]]& , Global`bookmarkList$$]], Delimiter, 
                    "Manipulate`AddBookmark" -> 
                    "Bookmark current settings\[Ellipsis]", 
                    "Manipulate`PasteBookmark" -> "Paste bookmarks", 
                    If[
                    Global`lastChoice$$ === None, {}, {
                    "Manipulate`DeleteBookmark" -> 
                    Band[{"Delete bookmark: ", 
                    RawBoxes[
                    Part[
                    Global`bookmarkList$$, Global`lastChoice$$, 1]]}]}]}], 0, 
                    
                    Tooltip[
                    RawBoxes[
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateMenuIcon"]]], "Bookmarks"]], 
                    StandardForm]]},
                    FrameMargins->0,
                    ImageSize->Automatic],
                    StripOnInput->False,
                    FontColor->GrayLevel[0]]}
                   },
                  ColumnSpacings->0.2],
                 "Row"]}
               },
              ColumnLines->1,
              RowAlignments->Top],
             "Row"],
            StripOnInput->False,
            GridElementStyleOptions->{Background->None},
            FontColor->GrayLevel[0.784313725490196]]},
          {
           StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
               ListPlot[
                NestList[Global`\[Lambda]$$ # (1 - #)& , 0.3, 50], 
                PlotRange -> {0, 1}, PlotJoined -> True], StandardForm]]]],
            Deployed->False,
            StripOnInput->False,
            GridElementStyleOptions->{Background->GrayLevel[1],
            RowAlignments->Center}]}
          },
         ColumnAlignments->Left,
         GridFrame->False,
         GridFrameMargins->1,
         RowAlignments->Top,
         RowSpacings->2],
        "Grid"], False->
       TooltipBox[
        ButtonBox[
         StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
             ListPlot[
              NestList[Global`\[Lambda]$$ # (1 - #)& , 0.3, 50], 
              PlotRange -> {0, 1}, PlotJoined -> True], StandardForm]]]],
          Deployed->False,
          StripOnInput->False,
          GridElementStyleOptions->{Background->GrayLevel[1],
          RowAlignments->Center}],
         Appearance->"DialogBox",
         ButtonFrame->None,
         ButtonFunction:>(Global`show$$ = True),
         DefaultStyle->{},
         Evaluator->Automatic,
         Method->"Preemptive"],
        DynamicBox[
         ToBoxes[
          FEPrivate`FrontEndResource["FEStrings", "ManipulateShow"], 
          StandardForm]]]},
       ImageSize->Automatic],
      ValuesData:>{}],
     ValuesData:>{}],
    DefaultStyle->{}],
   "ManipulateStyle",
   Deployed->True,
   StripOnInput->False],
  FrontEnd`Private`InterpretManipulate[
   ListPlot[
    NestList[Global`\[Lambda] # (1 - #)& , 0.3, 50], PlotRange -> {0, 1}, 
    PlotJoined -> True], {{Global`\[Lambda], 0, 4}}, {}]]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Logistic map, initial value slider: sensitive dependence ", "Subsection"],

Cell[CellGroupData[{

Cell["Chaotic regime", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"4", " ", "#", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "x0", ",", "50"}], 
       "]"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], ",", 
      RowBox[{"PlotJoined", "\[Rule]", "True"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x0", ",", "0", ",", "1"}], "}"}]}], "]"}], 
  TraditionalForm]], "Input"],

Cell[BoxData[
 TagBox[
  StyleBox[
   PanelBox[
    DynamicModuleBox[{Global`x0$$ = 0.831}, 
     DynamicModuleBox[{Global`show$$ = True, Global`bookmarkList$$ = {}, 
      Global`lastChoice$$ = None, Global`showNameField$$ = False, 
      Global`name$$ = "bookmark"}, 
      MultiviewBox[Dynamic[Global`show$$], {True->
       TagBox[GridBox[{
          {
           StyleBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[GridBox[{
                    {"\<\"x0\"\>", 
                    InterpretationBox[
                    
                    DynamicModuleBox[{Global`openQ$$ = True, 
                    Global`pausedTime$$ = 0, Global`rate$$ = Automatic, 
                    Global`animationDirection$$ = Forward}, 
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEExpressions", "Manipulator01"][
                    Dynamic[Global`x0$$], 
                    Dynamic[{0, 1}], Medium, Small, Automatic, True, 
                    Automatic, True, All, False],
                    DynamicUpdating->True]],
                    Manipulator[
                    Dynamic[Global`x0$$], {0, 1}, ContinuousAction -> True, 
                    AutoAction -> False]]}
                    },
                   ColumnAlignments->{Right, Left}],
                  "Grid"],
                 "ManipulatorStyle",
                 StripOnInput->False,
                 FontColor->GrayLevel[0]], 
                TagBox[GridBox[{
                   {
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateHideIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>(Global`show$$ = False),
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource["FEStrings", "ManipulateHide"],
                     StandardForm]]], 
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulatePasteIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>FrontEnd`Private`pasteSnapshot[{{
                    Hold[Global`x0$$], 0, 1}}, 
                    Hold[
                    ListPlot[
                    NestList[4 # (1 - #)& , Global`x0$$, 50], 
                    PlotRange -> {0, 1}, PlotJoined -> True]]],
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource[
                    "FEStrings", "ManipulatePaste"], StandardForm]]], 
                    
                    StyleBox[
                    MultiviewBox[Dynamic[Global`showNameField$$], {True->
                    TagBox[GridBox[{
                    {InputFieldBox[Dynamic[Global`name$$], String,
                    DefaultStyle->"ManipulatorStyle",
                    FieldSize->{10, 1}], 
                    ButtonBox["\<\"OK\"\>",
                    Appearance->"DialogBox",
                    ButtonFrame->"DialogBox",
                    ButtonFunction:>FrontEnd`Private`addBookmark[{{
                    Hold[Global`x0$$], 0, 1}}, 
                    Dynamic[Global`showNameField$$], 
                    Dynamic[Global`bookmarkList$$], 
                    Dynamic[Global`name$$], 
                    Dynamic[Global`lastChoice$$]],
                    DefaultStyle->{"PanelStyle", Background -> None},
                    Evaluator->Automatic,
                    Method->"Preemptive"]}
                    }],
                    "Row"], False->DynamicBox[ToBoxes[
                    PopupMenu[
                    Dynamic[
                    0, Switch[#, "Manipulate`Reset", 
                    Global`lastChoice$$ = None; {Global`x0$$ = 0}, 
                    "Manipulate`PasteBookmark", 
                    FrontEnd`Private`pasteBookmarks[{{
                    Hold[Global`x0$$], 0, 1}}, Global`bookmarkList$$], 
                    "Manipulate`AddBookmark", 
                    If[{{
                    Hold[Global`x0$$], 0, 1}} === {}, 
                    Message[
                    MessageName[Manipulate, "novars"]], 
                    Global`showNameField$$ = True], 
                    "Manipulate`DeleteBookmark", 
                    
                    With[{FrontEnd`Private`tmp$ = Global`lastChoice$$}, 
                    Global`lastChoice$$ = None; 
                    Global`bookmarkList$$ = 
                    Delete[Global`bookmarkList$$, FrontEnd`Private`tmp$]], 
                    Condition[
                    Blank[Integer], 1 <= # <= Length[Global`bookmarkList$$]], 
                    Global`lastChoice$$ = #; 
                    Part[Global`bookmarkList$$, #, 2], 
                    Blank[], Null]& ], 
                    Flatten[{"Manipulate`Reset" -> "Initial settings", 
                    If[Global`bookmarkList$$ === {}, {}, 
                    MapIndexed[If[# === Delimiter, #, First[#2] -> RawBoxes[
                    First[#]]]& , Global`bookmarkList$$]], Delimiter, 
                    "Manipulate`AddBookmark" -> 
                    "Bookmark current settings\[Ellipsis]", 
                    "Manipulate`PasteBookmark" -> "Paste bookmarks", 
                    If[
                    Global`lastChoice$$ === None, {}, {
                    "Manipulate`DeleteBookmark" -> 
                    Band[{"Delete bookmark: ", 
                    RawBoxes[
                    Part[
                    Global`bookmarkList$$, Global`lastChoice$$, 1]]}]}]}], 0, 
                    
                    Tooltip[
                    RawBoxes[
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateMenuIcon"]]], "Bookmarks"]], 
                    StandardForm]]},
                    FrameMargins->0,
                    ImageSize->Automatic],
                    StripOnInput->False,
                    FontColor->GrayLevel[0]]}
                   },
                  ColumnSpacings->0.2],
                 "Row"]}
               },
              ColumnLines->1,
              RowAlignments->Top],
             "Row"],
            StripOnInput->False,
            GridElementStyleOptions->{Background->None},
            FontColor->GrayLevel[0.784313725490196]]},
          {
           StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
               ListPlot[
                NestList[4 # (1 - #)& , Global`x0$$, 50], PlotRange -> {0, 1},
                 PlotJoined -> True], StandardForm]]]],
            Deployed->False,
            StripOnInput->False,
            GridElementStyleOptions->{Background->GrayLevel[1],
            RowAlignments->Center}]}
          },
         ColumnAlignments->Left,
         GridFrame->False,
         GridFrameMargins->1,
         RowAlignments->Top,
         RowSpacings->2],
        "Grid"], False->
       TooltipBox[
        ButtonBox[
         StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
             ListPlot[
              NestList[4 # (1 - #)& , Global`x0$$, 50], PlotRange -> {0, 1}, 
              PlotJoined -> True], StandardForm]]]],
          Deployed->False,
          StripOnInput->False,
          GridElementStyleOptions->{Background->GrayLevel[1],
          RowAlignments->Center}],
         Appearance->"DialogBox",
         ButtonFrame->None,
         ButtonFunction:>(Global`show$$ = True),
         DefaultStyle->{},
         Evaluator->Automatic,
         Method->"Preemptive"],
        DynamicBox[
         ToBoxes[
          FEPrivate`FrontEndResource["FEStrings", "ManipulateShow"], 
          StandardForm]]]},
       ImageSize->Automatic],
      ValuesData:>{}],
     ValuesData:>{}],
    DefaultStyle->{}],
   "ManipulateStyle",
   Deployed->True,
   StripOnInput->False],
  FrontEnd`Private`InterpretManipulate[
   ListPlot[
    NestList[4 # (1 - #)& , Global`x0, 50], PlotRange -> {0, 1}, PlotJoined -> 
    True], {{Global`x0, 0, 1}}, {}]]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Non-chaotic regime (period 2)", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"3.4", " ", "#", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "x0", ",", "50"}], 
       "]"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], ",", 
      RowBox[{"PlotJoined", "\[Rule]", "True"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x0", ",", "0", ",", "1"}], "}"}]}], "]"}], 
  TraditionalForm]], "Input"],

Cell[BoxData[
 TagBox[
  StyleBox[
   PanelBox[
    DynamicModuleBox[{Global`x0$$ = 0.219}, 
     DynamicModuleBox[{Global`show$$ = True, Global`bookmarkList$$ = {}, 
      Global`lastChoice$$ = None, Global`showNameField$$ = False, 
      Global`name$$ = "bookmark"}, 
      MultiviewBox[Dynamic[Global`show$$], {True->
       TagBox[GridBox[{
          {
           StyleBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[GridBox[{
                    {"\<\"x0\"\>", 
                    InterpretationBox[
                    
                    DynamicModuleBox[{Global`openQ$$ = False, 
                    Global`pausedTime$$ = 0, Global`rate$$ = Automatic, 
                    Global`animationDirection$$ = Forward}, 
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEExpressions", "Manipulator01"][
                    Dynamic[Global`x0$$], 
                    Dynamic[{0, 1}], Medium, Small, Automatic, True, 
                    Automatic, True, All, False],
                    DynamicUpdating->True]],
                    Manipulator[
                    Dynamic[Global`x0$$], {0, 1}, ContinuousAction -> True, 
                    AutoAction -> False]]}
                    },
                   ColumnAlignments->{Right, Left}],
                  "Grid"],
                 "ManipulatorStyle",
                 StripOnInput->False,
                 FontColor->GrayLevel[0]], 
                TagBox[GridBox[{
                   {
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateHideIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>(Global`show$$ = False),
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource["FEStrings", "ManipulateHide"],
                     StandardForm]]], 
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulatePasteIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>FrontEnd`Private`pasteSnapshot[{{
                    Hold[Global`x0$$], 0, 1}}, 
                    Hold[
                    ListPlot[
                    NestList[3.4 # (1 - #)& , Global`x0$$, 50], 
                    PlotRange -> {0, 1}, PlotJoined -> True]]],
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource[
                    "FEStrings", "ManipulatePaste"], StandardForm]]], 
                    
                    StyleBox[
                    MultiviewBox[Dynamic[Global`showNameField$$], {True->
                    TagBox[GridBox[{
                    {InputFieldBox[Dynamic[Global`name$$], String,
                    DefaultStyle->"ManipulatorStyle",
                    FieldSize->{10, 1}], 
                    ButtonBox["\<\"OK\"\>",
                    Appearance->"DialogBox",
                    ButtonFrame->"DialogBox",
                    ButtonFunction:>FrontEnd`Private`addBookmark[{{
                    Hold[Global`x0$$], 0, 1}}, 
                    Dynamic[Global`showNameField$$], 
                    Dynamic[Global`bookmarkList$$], 
                    Dynamic[Global`name$$], 
                    Dynamic[Global`lastChoice$$]],
                    DefaultStyle->{"PanelStyle", Background -> None},
                    Evaluator->Automatic,
                    Method->"Preemptive"]}
                    }],
                    "Row"], False->DynamicBox[ToBoxes[
                    PopupMenu[
                    Dynamic[
                    0, Switch[#, "Manipulate`Reset", 
                    Global`lastChoice$$ = None; {Global`x0$$ = 0}, 
                    "Manipulate`PasteBookmark", 
                    FrontEnd`Private`pasteBookmarks[{{
                    Hold[Global`x0$$], 0, 1}}, Global`bookmarkList$$], 
                    "Manipulate`AddBookmark", 
                    If[{{
                    Hold[Global`x0$$], 0, 1}} === {}, 
                    Message[
                    MessageName[Manipulate, "novars"]], 
                    Global`showNameField$$ = True], 
                    "Manipulate`DeleteBookmark", 
                    
                    With[{FrontEnd`Private`tmp$ = Global`lastChoice$$}, 
                    Global`lastChoice$$ = None; 
                    Global`bookmarkList$$ = 
                    Delete[Global`bookmarkList$$, FrontEnd`Private`tmp$]], 
                    Condition[
                    Blank[Integer], 1 <= # <= Length[Global`bookmarkList$$]], 
                    Global`lastChoice$$ = #; 
                    Part[Global`bookmarkList$$, #, 2], 
                    Blank[], Null]& ], 
                    Flatten[{"Manipulate`Reset" -> "Initial settings", 
                    If[Global`bookmarkList$$ === {}, {}, 
                    MapIndexed[If[# === Delimiter, #, First[#2] -> RawBoxes[
                    First[#]]]& , Global`bookmarkList$$]], Delimiter, 
                    "Manipulate`AddBookmark" -> 
                    "Bookmark current settings\[Ellipsis]", 
                    "Manipulate`PasteBookmark" -> "Paste bookmarks", 
                    If[
                    Global`lastChoice$$ === None, {}, {
                    "Manipulate`DeleteBookmark" -> 
                    Band[{"Delete bookmark: ", 
                    RawBoxes[
                    Part[
                    Global`bookmarkList$$, Global`lastChoice$$, 1]]}]}]}], 0, 
                    
                    Tooltip[
                    RawBoxes[
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateMenuIcon"]]], "Bookmarks"]], 
                    StandardForm]]},
                    FrameMargins->0,
                    ImageSize->Automatic],
                    StripOnInput->False,
                    FontColor->GrayLevel[0]]}
                   },
                  ColumnSpacings->0.2],
                 "Row"]}
               },
              ColumnLines->1,
              RowAlignments->Top],
             "Row"],
            StripOnInput->False,
            GridElementStyleOptions->{Background->None},
            FontColor->GrayLevel[0.784313725490196]]},
          {
           StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
               ListPlot[
                NestList[3.4 # (1 - #)& , Global`x0$$, 50], 
                PlotRange -> {0, 1}, PlotJoined -> True], StandardForm]]]],
            Deployed->False,
            StripOnInput->False,
            GridElementStyleOptions->{Background->GrayLevel[1],
            RowAlignments->Center}]}
          },
         ColumnAlignments->Left,
         GridFrame->False,
         GridFrameMargins->1,
         RowAlignments->Top,
         RowSpacings->2],
        "Grid"], False->
       TooltipBox[
        ButtonBox[
         StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
             ListPlot[
              NestList[3.4 # (1 - #)& , Global`x0$$, 50], PlotRange -> {0, 1},
               PlotJoined -> True], StandardForm]]]],
          Deployed->False,
          StripOnInput->False,
          GridElementStyleOptions->{Background->GrayLevel[1],
          RowAlignments->Center}],
         Appearance->"DialogBox",
         ButtonFrame->None,
         ButtonFunction:>(Global`show$$ = True),
         DefaultStyle->{},
         Evaluator->Automatic,
         Method->"Preemptive"],
        DynamicBox[
         ToBoxes[
          FEPrivate`FrontEndResource["FEStrings", "ManipulateShow"], 
          StandardForm]]]},
       ImageSize->Automatic],
      ValuesData:>{}],
     ValuesData:>{}],
    DefaultStyle->{}],
   "ManipulateStyle",
   Deployed->True,
   StripOnInput->False],
  FrontEnd`Private`InterpretManipulate[
   ListPlot[
    NestList[3.4 # (1 - #)& , Global`x0, 50], PlotRange -> {0, 1}, PlotJoined -> 
    True], {{Global`x0, 0, 1}}, {}]]], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Logistic map, initial value ",
 StyleBox["and",
  FontSlant->"Italic"],
 " parameter sliders "
}], "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"NestList", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Lambda]", " ", "#", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", "#"}], ")"}]}], "&"}], ",", "x0", ",", "50"}], 
       "]"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], ",", 
      RowBox[{"PlotJoined", "\[Rule]", "True"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x0", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Lambda]", ",", "0", ",", "4"}], "}"}]}], "]"}], 
  TraditionalForm]], "Input"],

Cell[BoxData[
 TagBox[
  StyleBox[
   PanelBox[
    DynamicModuleBox[{Global`x0$$ = 0.483, Global`\[Lambda]$$ = 3.48}, 
     DynamicModuleBox[{Global`show$$ = True, Global`bookmarkList$$ = {}, 
      Global`lastChoice$$ = None, Global`showNameField$$ = False, 
      Global`name$$ = "bookmark"}, 
      MultiviewBox[Dynamic[Global`show$$], {True->
       TagBox[GridBox[{
          {
           StyleBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[GridBox[{
                    {"\<\"x0\"\>", 
                    InterpretationBox[
                    
                    DynamicModuleBox[{Global`openQ$$ = False, 
                    Global`pausedTime$$ = 0, Global`rate$$ = Automatic, 
                    Global`animationDirection$$ = Forward}, 
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEExpressions", "Manipulator01"][
                    Dynamic[Global`x0$$], 
                    Dynamic[{0, 1}], Medium, Small, Automatic, True, 
                    Automatic, True, All, False],
                    DynamicUpdating->True]],
                    Manipulator[
                    Dynamic[Global`x0$$], {0, 1}, ContinuousAction -> True, 
                    AutoAction -> False]]},
                    {"\<\"\[Lambda]\"\>", 
                    InterpretationBox[
                    
                    DynamicModuleBox[{Global`openQ$$ = False, 
                    Global`pausedTime$$ = 0, Global`rate$$ = Automatic, 
                    Global`animationDirection$$ = Forward}, 
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEExpressions", "Manipulator01"][
                    Dynamic[Global`\[Lambda]$$], 
                    Dynamic[{0, 4}], Medium, Small, Automatic, True, 
                    Automatic, True, All, False],
                    DynamicUpdating->True]],
                    Manipulator[
                    Dynamic[Global`\[Lambda]$$], {0, 4}, ContinuousAction -> 
                    True, AutoAction -> False]]}
                    },
                   ColumnAlignments->{Right, Left}],
                  "Grid"],
                 "ManipulatorStyle",
                 StripOnInput->False,
                 FontColor->GrayLevel[0]], 
                TagBox[GridBox[{
                   {
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateHideIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>(Global`show$$ = False),
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource["FEStrings", "ManipulateHide"],
                     StandardForm]]]},
                   {
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulatePasteIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>FrontEnd`Private`pasteSnapshot[{{
                    Hold[Global`x0$$], 0, 1}, {
                    Hold[Global`\[Lambda]$$], 0, 4}}, 
                    Hold[
                    ListPlot[
                    NestList[Global`\[Lambda]$$ # (1 - #)& , Global`x0$$, 50],
                     PlotRange -> {0, 1}, PlotJoined -> True]]],
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource[
                    "FEStrings", "ManipulatePaste"], StandardForm]]]},
                   {
                    
                    StyleBox[
                    MultiviewBox[Dynamic[Global`showNameField$$], {True->
                    TagBox[GridBox[{
                    {InputFieldBox[Dynamic[Global`name$$], String,
                    DefaultStyle->"ManipulatorStyle",
                    FieldSize->{10, 1}], 
                    ButtonBox["\<\"OK\"\>",
                    Appearance->"DialogBox",
                    ButtonFrame->"DialogBox",
                    ButtonFunction:>FrontEnd`Private`addBookmark[{{
                    Hold[Global`x0$$], 0, 1}, {
                    Hold[Global`\[Lambda]$$], 0, 4}}, 
                    Dynamic[Global`showNameField$$], 
                    Dynamic[Global`bookmarkList$$], 
                    Dynamic[Global`name$$], 
                    Dynamic[Global`lastChoice$$]],
                    DefaultStyle->{"PanelStyle", Background -> None},
                    Evaluator->Automatic,
                    Method->"Preemptive"]}
                    }],
                    "Row"], False->DynamicBox[ToBoxes[
                    PopupMenu[
                    Dynamic[
                    0, Switch[#, "Manipulate`Reset", 
                    Global`lastChoice$$ = None; {
                    Global`x0$$ = 0, Global`\[Lambda]$$ = 0}, 
                    "Manipulate`PasteBookmark", 
                    FrontEnd`Private`pasteBookmarks[{{
                    Hold[Global`x0$$], 0, 1}, {
                    Hold[Global`\[Lambda]$$], 0, 4}}, Global`bookmarkList$$], 
                    "Manipulate`AddBookmark", 
                    If[{{
                    Hold[Global`x0$$], 0, 1}, {
                    Hold[Global`\[Lambda]$$], 0, 4}} === {}, 
                    Message[
                    MessageName[Manipulate, "novars"]], 
                    Global`showNameField$$ = True], 
                    "Manipulate`DeleteBookmark", 
                    
                    With[{FrontEnd`Private`tmp$ = Global`lastChoice$$}, 
                    Global`lastChoice$$ = None; 
                    Global`bookmarkList$$ = 
                    Delete[Global`bookmarkList$$, FrontEnd`Private`tmp$]], 
                    Condition[
                    Blank[Integer], 1 <= # <= Length[Global`bookmarkList$$]], 
                    Global`lastChoice$$ = #; 
                    Part[Global`bookmarkList$$, #, 2], 
                    Blank[], Null]& ], 
                    Flatten[{"Manipulate`Reset" -> "Initial settings", 
                    If[Global`bookmarkList$$ === {}, {}, 
                    MapIndexed[If[# === Delimiter, #, First[#2] -> RawBoxes[
                    First[#]]]& , Global`bookmarkList$$]], Delimiter, 
                    "Manipulate`AddBookmark" -> 
                    "Bookmark current settings\[Ellipsis]", 
                    "Manipulate`PasteBookmark" -> "Paste bookmarks", 
                    If[
                    Global`lastChoice$$ === None, {}, {
                    "Manipulate`DeleteBookmark" -> 
                    Band[{"Delete bookmark: ", 
                    RawBoxes[
                    Part[
                    Global`bookmarkList$$, Global`lastChoice$$, 1]]}]}]}], 0, 
                    
                    Tooltip[
                    RawBoxes[
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateMenuIcon"]]], "Bookmarks"]], 
                    StandardForm]]},
                    FrameMargins->0,
                    ImageSize->Automatic],
                    StripOnInput->False,
                    FontColor->GrayLevel[0]]}
                   },
                  ColumnAlignments->Left,
                  GridBaseline->{Baseline, {1, 1}},
                  RowSpacings->0],
                 "Column"]}
               },
              ColumnLines->1,
              RowAlignments->Top],
             "Row"],
            StripOnInput->False,
            GridElementStyleOptions->{Background->None},
            FontColor->GrayLevel[0.784313725490196]]},
          {
           StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
               ListPlot[
                NestList[Global`\[Lambda]$$ # (1 - #)& , Global`x0$$, 50], 
                PlotRange -> {0, 1}, PlotJoined -> True], StandardForm]]]],
            Deployed->False,
            StripOnInput->False,
            GridElementStyleOptions->{Background->GrayLevel[1],
            RowAlignments->Center}]}
          },
         ColumnAlignments->Left,
         GridFrame->False,
         GridFrameMargins->1,
         RowAlignments->Top,
         RowSpacings->2],
        "Grid"], False->
       TooltipBox[
        ButtonBox[
         StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
             ListPlot[
              NestList[Global`\[Lambda]$$ # (1 - #)& , Global`x0$$, 50], 
              PlotRange -> {0, 1}, PlotJoined -> True], StandardForm]]]],
          Deployed->False,
          StripOnInput->False,
          GridElementStyleOptions->{Background->GrayLevel[1],
          RowAlignments->Center}],
         Appearance->"DialogBox",
         ButtonFrame->None,
         ButtonFunction:>(Global`show$$ = True),
         DefaultStyle->{},
         Evaluator->Automatic,
         Method->"Preemptive"],
        DynamicBox[
         ToBoxes[
          FEPrivate`FrontEndResource["FEStrings", "ManipulateShow"], 
          StandardForm]]]},
       ImageSize->Automatic],
      ValuesData:>{}],
     ValuesData:>{}],
    DefaultStyle->{}],
   "ManipulateStyle",
   Deployed->True,
   StripOnInput->False],
  FrontEnd`Private`InterpretManipulate[
   ListPlot[
    NestList[Global`\[Lambda] # (1 - #)& , Global`x0, 50], 
    PlotRange -> {0, 1}, PlotJoined -> True], {{Global`x0, 0, 1}, {
    Global`\[Lambda], 0, 4}}, {}]]], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Foundations of calculus: secants and tangents", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SuperscriptBox["x", "2"], ",", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            SuperscriptBox["x2", "2"], "-", 
            SuperscriptBox["x1", "2"]}], 
           RowBox[{"x2", "-", "x1"}]], 
          RowBox[{"(", 
           RowBox[{"x", "-", "x1"}], ")"}]}], "+", 
         SuperscriptBox["x1", "2"]}], ",", 
        RowBox[{
         RowBox[{"2", "x1", " ", 
          RowBox[{"(", 
           RowBox[{"x", "-", "x1"}], ")"}]}], "+", 
         SuperscriptBox["x1", "2"]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "10"}], "}"}]}], ",", 
      RowBox[{"Epilog", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"AbsolutePointSize", "[", "5", "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"x1", ",", 
              SuperscriptBox["x1", "2"]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"x2", ",", 
              SuperscriptBox["x2", "2"]}], "}"}]}], "}"}], "]"}]}], "}"}]}], 
      ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"TextBand", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<gradient of secant = \>\"", ",", 
          FractionBox[
           RowBox[{
            SuperscriptBox["x2", "2"], "-", 
            SuperscriptBox["x1", "2"]}], 
           RowBox[{"x2", "-", "x1"}]]}], "}"}], "]"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x1", ",", "1"}], "}"}], ",", 
      RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x2", ",", "2"}], "}"}], ",", 
      RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "]"}], 
  TraditionalForm]], "Input"],

Cell[BoxData[
 TagBox[
  StyleBox[
   PanelBox[
    DynamicModuleBox[{Global`x1$$ = 1, Global`x2$$ = 1.72}, 
     DynamicModuleBox[{Global`show$$ = True, Global`bookmarkList$$ = {}, 
      Global`lastChoice$$ = None, Global`showNameField$$ = False, 
      Global`name$$ = "bookmark"}, 
      MultiviewBox[Dynamic[Global`show$$], {True->
       TagBox[GridBox[{
          {
           StyleBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[GridBox[{
                    {"\<\"x1\"\>", 
                    InterpretationBox[
                    
                    DynamicModuleBox[{Global`openQ$$ = False, 
                    Global`pausedTime$$ = 0, Global`rate$$ = Automatic, 
                    Global`animationDirection$$ = Forward}, 
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEExpressions", "Manipulator01"][
                    Dynamic[Global`x1$$], 
                    Dynamic[{-3, 3}], Medium, Small, Automatic, True, 
                    Automatic, True, All, False],
                    DynamicUpdating->True]],
                    Manipulator[
                    Dynamic[Global`x1$$], {-3, 3}, ContinuousAction -> True, 
                    AutoAction -> False]]},
                    {"\<\"x2\"\>", 
                    InterpretationBox[
                    
                    DynamicModuleBox[{Global`openQ$$ = False, 
                    Global`pausedTime$$ = 0, Global`rate$$ = Automatic, 
                    Global`animationDirection$$ = Forward}, 
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEExpressions", "Manipulator01"][
                    Dynamic[Global`x2$$], 
                    Dynamic[{-3, 3}], Medium, Small, Automatic, True, 
                    Automatic, True, All, False],
                    DynamicUpdating->True]],
                    Manipulator[
                    Dynamic[Global`x2$$], {-3, 3}, ContinuousAction -> True, 
                    AutoAction -> False]]}
                    },
                   ColumnAlignments->{Right, Left}],
                  "Grid"],
                 "ManipulatorStyle",
                 StripOnInput->False,
                 FontColor->GrayLevel[0]], 
                TagBox[GridBox[{
                   {
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateHideIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>(Global`show$$ = False),
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource["FEStrings", "ManipulateHide"],
                     StandardForm]]]},
                   {
                    TooltipBox[
                    
                    ButtonBox[
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulatePasteIcon"]],
                    Appearance->"DialogBox",
                    ButtonFrame->None,
                    ButtonFunction:>FrontEnd`Private`pasteSnapshot[{{{
                    Hold[Global`x1$$], 1}, -3, 3}, {{
                    Hold[Global`x2$$], 2}, -3, 3}}, 
                    Hold[
                    
                    Plot[{Global`x^2, ((Global`x2$$^2 - Global`x1$$^2)/(
                    Global`x2$$ - Global`x1$$)) (Global`x - Global`x1$$) + 
                    Global`x1$$^2, 2 Global`x1$$ (Global`x - Global`x1$$) + 
                    Global`x1$$^2}, {Global`x, -3, 3}, PlotRange -> {-1, 10}, 
                    Epilog -> {
                    AbsolutePointSize[5], 
                    
                    Point[{{Global`x1$$, Global`x1$$^2}, {
                    Global`x2$$, Global`x2$$^2}}]}, PlotLabel -> 
                    TextBand[{
                    "gradient of secant = ", (Global`x2$$^2 - Global`x1$$^2)/(
                    Global`x2$$ - Global`x1$$)}]]]],
                    DefaultStyle->{},
                    Evaluator->Automatic,
                    Method->"Preemptive"],
                    DynamicBox[
                    ToBoxes[
                    FEPrivate`FrontEndResource[
                    "FEStrings", "ManipulatePaste"], StandardForm]]]},
                   {
                    
                    StyleBox[
                    MultiviewBox[Dynamic[Global`showNameField$$], {True->
                    TagBox[GridBox[{
                    {InputFieldBox[Dynamic[Global`name$$], String,
                    DefaultStyle->"ManipulatorStyle",
                    FieldSize->{10, 1}], 
                    ButtonBox["\<\"OK\"\>",
                    Appearance->"DialogBox",
                    ButtonFrame->"DialogBox",
                    ButtonFunction:>FrontEnd`Private`addBookmark[{{{
                    Hold[Global`x1$$], 1}, -3, 3}, {{
                    Hold[Global`x2$$], 2}, -3, 3}}, 
                    Dynamic[Global`showNameField$$], 
                    Dynamic[Global`bookmarkList$$], 
                    Dynamic[Global`name$$], 
                    Dynamic[Global`lastChoice$$]],
                    DefaultStyle->{"PanelStyle", Background -> None},
                    Evaluator->Automatic,
                    Method->"Preemptive"]}
                    }],
                    "Row"], False->DynamicBox[ToBoxes[
                    PopupMenu[
                    Dynamic[
                    0, Switch[#, "Manipulate`Reset", 
                    Global`lastChoice$$ = None; {
                    Global`x1$$ = 1, Global`x2$$ = 2}, 
                    "Manipulate`PasteBookmark", 
                    FrontEnd`Private`pasteBookmarks[{{{
                    Hold[Global`x1$$], 1}, -3, 3}, {{
                    Hold[Global`x2$$], 2}, -3, 3}}, Global`bookmarkList$$], 
                    "Manipulate`AddBookmark", 
                    If[{{{
                    Hold[Global`x1$$], 1}, -3, 3}, {{
                    Hold[Global`x2$$], 2}, -3, 3}} === {}, 
                    Message[
                    MessageName[Manipulate, "novars"]], 
                    Global`showNameField$$ = True], 
                    "Manipulate`DeleteBookmark", 
                    
                    With[{FrontEnd`Private`tmp$ = Global`lastChoice$$}, 
                    Global`lastChoice$$ = None; 
                    Global`bookmarkList$$ = 
                    Delete[Global`bookmarkList$$, FrontEnd`Private`tmp$]], 
                    Condition[
                    Blank[Integer], 1 <= # <= Length[Global`bookmarkList$$]], 
                    Global`lastChoice$$ = #; 
                    Part[Global`bookmarkList$$, #, 2], 
                    Blank[], Null]& ], 
                    Flatten[{"Manipulate`Reset" -> "Initial settings", 
                    If[Global`bookmarkList$$ === {}, {}, 
                    MapIndexed[If[# === Delimiter, #, First[#2] -> RawBoxes[
                    First[#]]]& , Global`bookmarkList$$]], Delimiter, 
                    "Manipulate`AddBookmark" -> 
                    "Bookmark current settings\[Ellipsis]", 
                    "Manipulate`PasteBookmark" -> "Paste bookmarks", 
                    If[
                    Global`lastChoice$$ === None, {}, {
                    "Manipulate`DeleteBookmark" -> 
                    Band[{"Delete bookmark: ", 
                    RawBoxes[
                    Part[
                    Global`bookmarkList$$, Global`lastChoice$$, 1]]}]}]}], 0, 
                    
                    Tooltip[
                    RawBoxes[
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEBitmaps", "ManipulateMenuIcon"]]], "Bookmarks"]], 
                    StandardForm]]},
                    FrameMargins->0,
                    ImageSize->Automatic],
                    StripOnInput->False,
                    FontColor->GrayLevel[0]]}
                   },
                  ColumnAlignments->Left,
                  GridBaseline->{Baseline, {1, 1}},
                  RowSpacings->0],
                 "Column"]}
               },
              ColumnLines->1,
              RowAlignments->Top],
             "Row"],
            StripOnInput->False,
            GridElementStyleOptions->{Background->None},
            FontColor->GrayLevel[0.784313725490196]]},
          {
           StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
               
               Plot[{Global`x^2, ((Global`x2$$^2 - Global`x1$$^2)/(
                   Global`x2$$ - Global`x1$$)) (Global`x - Global`x1$$) + 
                 Global`x1$$^2, 2 Global`x1$$ (Global`x - Global`x1$$) + 
                 Global`x1$$^2}, {Global`x, -3, 3}, PlotRange -> {-1, 10}, 
                Epilog -> {
                  AbsolutePointSize[5], 
                  
                  Point[{{Global`x1$$, Global`x1$$^2}, {
                    Global`x2$$, Global`x2$$^2}}]}, PlotLabel -> 
                TextBand[{
                  "gradient of secant = ", (Global`x2$$^2 - Global`x1$$^2)/(
                   Global`x2$$ - Global`x1$$)}]], StandardForm]]]],
            Deployed->False,
            StripOnInput->False,
            GridElementStyleOptions->{Background->GrayLevel[1],
            RowAlignments->Center}]}
          },
         ColumnAlignments->Left,
         GridFrame->False,
         GridFrameMargins->1,
         RowAlignments->Top,
         RowSpacings->2],
        "Grid"], False->
       TooltipBox[
        ButtonBox[
         StyleBox[Cell[BoxData[DynamicBox[ToBoxes[
             
             Plot[{Global`x^2, ((Global`x2$$^2 - Global`x1$$^2)/(Global`x2$$ - 
                 Global`x1$$)) (Global`x - Global`x1$$) + Global`x1$$^2, 
               2 Global`x1$$ (Global`x - Global`x1$$) + Global`x1$$^2}, {
              Global`x, -3, 3}, PlotRange -> {-1, 10}, Epilog -> {
                AbsolutePointSize[5], 
                
                Point[{{Global`x1$$, Global`x1$$^2}, {
                  Global`x2$$, Global`x2$$^2}}]}, PlotLabel -> 
              TextBand[{
                "gradient of secant = ", (Global`x2$$^2 - Global`x1$$^2)/(
                 Global`x2$$ - Global`x1$$)}]], StandardForm]]]],
          Deployed->False,
          StripOnInput->False,
          GridElementStyleOptions->{Background->GrayLevel[1],
          RowAlignments->Center}],
         Appearance->"DialogBox",
         ButtonFrame->None,
         ButtonFunction:>(Global`show$$ = True),
         DefaultStyle->{},
         Evaluator->Automatic,
         Method->"Preemptive"],
        DynamicBox[
         ToBoxes[
          FEPrivate`FrontEndResource["FEStrings", "ManipulateShow"], 
          StandardForm]]]},
       ImageSize->Automatic],
      ValuesData:>{}],
     ValuesData:>{}],
    DefaultStyle->{}],
   "ManipulateStyle",
   Deployed->True,
   StripOnInput->False],
  FrontEnd`Private`InterpretManipulate[
   Plot[{Global`x^2, ((Global`x2^2 - Global`x1^2)/(Global`x2 - Global`x1)) (
       Global`x - Global`x1) + Global`x1^2, 
     2 Global`x1 (Global`x - Global`x1) + Global`x1^2}, {Global`x, -3, 3}, 
    PlotRange -> {-1, 10}, Epilog -> {
      AbsolutePointSize[5], 
      Point[{{Global`x1, Global`x1^2}, {Global`x2, Global`x2^2}}]}, PlotLabel -> 
    TextBand[{
      "gradient of secant = ", (Global`x2^2 - Global`x1^2)/(Global`x2 - 
       Global`x1)}]], {{{Global`x1, 1}, -3, 3}, {{Global`x2, 2}, -3, 
     3}}, {}]]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"6.0 for Macintosh",
WindowSize->{640, 750},
WindowMargins->{{12, Automatic}, {Automatic, 24}}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[589, 23, 45, 0, 76, "Title"],
Cell[637, 25, 47, 0, 46, "Subtitle"],
Cell[687, 27, 274, 5, 56, "Text"],
Cell[CellGroupData[{
Cell[986, 36, 54, 0, 67, "Section"],
Cell[CellGroupData[{
Cell[1065, 40, 1271, 38, 81, "Input"],
Cell[2339, 80, 9361, 219, 426, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11737, 304, 1309, 39, 81, "Input"],
Cell[13049, 345, 9504, 225, 426, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[22602, 576, 44, 0, 67, "Section"],
Cell[CellGroupData[{
Cell[22671, 580, 70, 0, 34, "Subsection"],
Cell[CellGroupData[{
Cell[22766, 584, 627, 19, 39, "Input"],
Cell[23396, 605, 8571, 200, 303, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[32016, 811, 79, 0, 34, "Subsection"],
Cell[CellGroupData[{
Cell[32120, 815, 39, 0, 24, "Subsubsection"],
Cell[CellGroupData[{
Cell[32184, 819, 611, 19, 39, "Input"],
Cell[32798, 840, 8515, 202, 327, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[41362, 1048, 54, 0, 24, "Subsubsection"],
Cell[CellGroupData[{
Cell[41441, 1052, 613, 19, 39, "Input"],
Cell[42057, 1073, 8474, 200, 303, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[50592, 1280, 130, 5, 34, "Subsection"],
Cell[CellGroupData[{
Cell[50747, 1289, 698, 21, 39, "Input"],
Cell[51448, 1312, 9779, 225, 337, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[61288, 1544, 64, 0, 67, "Section"],
Cell[CellGroupData[{
Cell[61377, 1548, 2078, 64, 130, "Input"],
Cell[63458, 1614, 11689, 262, 339, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)


